Summary: 	A tool for arranging times in advance with overseas colleagues
Name: 		international-time
Version: 	0.0.2
Release: 	19%{?dist}
# No attribution, just COPYING
License: 	GPL+
Group: 		Applications/System
Source0: 	http://cyberelk.net/tim/data/international-time/international-time-%{version}.tar.bz2
Patch0:		international-time-current-time.patch
Url:            http://cyberelk.net/tim/data/international-time/
BuildArch: 	noarch

BuildRequires: 	desktop-file-utils >= 0.2.92
Requires: 	pygtk2-libglade

%description
This is a graphical tool for converting a local "wall-clock" time into
UTC.  This is useful for arranging conference calls where participants
from other countries are expected

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .current-time

%build

%install
rm -rf %{buildroot}

cat >international-time.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=International Time
Comment=International Time Coordinator
Exec=/usr/bin/international-time
Terminal=false
Type=Application
EOF

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0755 international-time.py %{buildroot}%{_bindir}/international-time
install -m 0644 international-time.glade %{buildroot}%{_datadir}/%{name}
desktop-file-install \
%if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
  --vendor fedora \
%endif
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Utility \
  --add-category Application \
  --add-category X-Fedora \
  international-time.desktop

%post
/usr/bin/update-desktop-database &>/dev/null ||:

%postun
if [ "$1" = "0" ]; then
  /usr/bin/update-desktop-database &>/dev/null ||:
fi

%files
%doc COPYING
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.0.2-11
- remove --vendor from desktop-file-install https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 31 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.0.2-5
- fix license tag

* Fri Sep 14 2007 Tim Waugh <twaugh@redhat.com> 0.0.2-4
- Use the current time (bug #291151).

* Wed Dec  6 2006 Tim Waugh <twaugh@redhat.com> 0.0.2-3
- Built for devel.

* Fri Oct 27 2006 Tim Waugh <twaugh@redhat.com>
- Better categories for the desktop file.

* Wed Oct 25 2006 Tim Waugh <twaugh@redhat.com>
- Update desktop database on installation.

* Wed Oct 18 2006 Tim Waugh <twaugh@redhat.com> 0.0.2-1
- 0.0.2.  More fixes from package review.

* Thu Oct 12 2006 Tim Waugh <twaugh@redhat.com> 0.0.1-2
- Fixes from package review.

* Thu Jul 27 2006 Tim Waugh <twaugh@redhat.com> 0.0.1-1
- Minor GUI change.

* Thu Jun  8 2006 Tim Waugh <twaugh@redhat.com>
- Initial spec file.
